Ticket #3162 (closed defect: fixed)

Opened 8 years ago

Last modified 8 years ago

セットアップSQLのtypo

Reported by: cake Assigned to: cake
Priority: minor Milestone: OpenPNE2.14beta1
Component: pne-admin Version: 2.14.x
Keywords: Cc:

Description (Last modified by cake)

確認できた範囲、ver.2.12.4のセットアップ(アップデート)SQLのあちこちに、

c_member

というtypoがあります。

c_commu_admin_inviteテーブルに関連する箇所です。

INDEX箇所なので、実動作ではわかりずらそうです。

*発見のきっかけが、発見者自身のtypoであったことは否定しません。

Change History

11/22/08 00:27:32 changed by cake

  • description changed.

11/23/08 20:26:20 changed by kiwa

  • version set to 2.12.x & 2.13.x.
  • type changed from enhancement to defect.

一応defectに変更しておきますー。

11/27/08 19:53:30 changed by ogawa

  • milestone set to OpenPNE2.13.6.

02/24/09 11:44:10 changed by kiwa

  • milestone changed from OpenPNE2.13.6 to OpenPNE2.13.7.

2.13.6では見送ります。

03/24/09 11:54:17 changed by kiwa

  • milestone changed from OpenPNE2.13.7 to OpenPNE2.13.8.

2.13.7でも見送りで・・・。

04/23/09 21:31:31 changed by kiwa

  • milestone changed from OpenPNE2.13.8 to OpenPNE2.14beta1.

見送ります

05/20/09 16:19:47 changed by urabe

  • owner changed from nobody to urabe.
  • status changed from new to assigned.

05/20/09 16:53:50 changed by urabe

r11717 でコミットしました。


修正点:sql文のキーの名前が memer となっていたのを member に修正

05/20/09 16:54:07 changed by urabe

  • keywords set to 確認中.

05/20/09 16:58:29 changed by kiwa

  • keywords changed from 確認中 to 差し戻し.
  • version changed from 2.12.x & 2.13.x to 2.13.x.
  • DB変更を行って良いのは2.13の開発版だけなので、変更対象は2.13のものだけにしください
  • update sqlで対応することはできないでしょうか

versionが2.12.x & 2.13.xになっていたので開発版のみに絞りました。

05/21/09 10:43:30 changed by urabe

  • keywords changed from 差し戻し to 確認中.

r11721 でコミットしました。
(修正点) #3162 UpdateSQLで修正するように変更、直接SQLを修正していた箇所をすべて戻す

05/21/09 20:39:47 changed by imamura623

以下の項目について動作確認しました。

  • mysql41のupdate.sqlの実行・動作確認
  • postgresqlのupdate.sqlの実行・動作確認

問題ありませんでした。

05/21/09 20:41:01 changed by imamura623

  • keywords deleted.
  • owner changed from urabe to cake.
  • status changed from assigned to new.

05/21/09 20:41:10 changed by imamura623

  • status changed from new to closed.
  • resolution set to fixed.